vBulletin 4.2.3 Php7 hatasi - R10.net
  • 09-11-2018, 01:37:11
    #1
    Öncelikle merhaba,

    bu aralar bir cok sorunum oluyor. Yardimlariniz icin tesekkür ederim.

    vBulletin 4.2.3 e sahibiz, php5 kullaniyorduk, Host saglayicimiz php7'ye gecmezseniz iptal edecegiz dedi. Bizde php7'ye gectik.

    Sorunumuz söyle! Forumumuzda bazi konularimiz calisiyor, bazi konularimiz hata veriyor. Yeni actigimiz konularda sorun olmuyor. Eski konularin da hepsinde de sorun yok. Yasadigim sorunla ilgili Vbulletin forumunda da yazilmis ve anladigim kadariyla 4.2.3 desteklemeyebilir, 4.2.5'e gecmeniz gerekir yazilmis.

    4.2.5'e de gecmeye calistik, orada da sorunlarla karsilastik. En azindan bu sorunlari halledene kadar forumumuzun saglikli halde calismasini istiyoruz.

    Yardimlariniz icin simdiden tesekkürler.





    Bazi konularda yasadigimiz sorun su sekilde :



    Function name must be a string on line 1566 in /home/public/sites/forum.....net/includes/class_bbcode.php
    #0 /home/public/sites/forum.meydan1967.net/includes/class_bbcode.php(1021): vB_BbCodeParser->parse_array(Array, 1, 1, 0)
    #1 /home/public/sites/forum.....net/includes/class_bbcode.php(542): vB_BbCodeParser->parse_bbcode('[QUOTE=yamanlar...', 1, 1, 0)
    #2 /home/public/sites/forum.......net/includes/class_bbcode.php(456): vB_BbCodeParser->do_parse('[QUOTE=yamanlar...', 0, 1, 1, 1, true, false, 'on_nl2br', false, 1)
    #3 /home/public/sites/forum.......net/includes/class_postbit.php(1242): vB_BbCodeParser->parse('[QUOTE=yamanlar...', 29, '1', false, NULL, NULL, false, 'on_nl2br')
    #4 /home/public/sites/forum........net/includes/class_postbit.php(329): vB_Postbit_Post->parse_bbcode()
    #5 /home/public/sites/forum.......net/showthread.php(1096): vB_Postbit->construct_postbit(Array)
    #6 {main}
  • 09-11-2018, 15:05:25
    #2
    Hostunuzda php sürüm seçme olayı yoksa, farklı br yere taşıyın forumu öncelikle. Yaşadığınız sorun php sürümünden kaynaklı, vb 4.2.3 php 7 ile sorun çıkarır. Php 5.5 ile bir sorun almazsınız o sürümde. Sizin en büyük sorununuz sunucu/host sorunu, yetersiz kalıyor vbulletin için. Bir an önce farklı bir firma ile vbulletine uygun bir hosta geçmeniz. Geçiş işlemlerini de manuel olarak kendiniz yapın.
    Ücretli vBulletin kurulum,teknik destek ve optimizasyon işlemleri
  • 09-11-2018, 19:27:39
    #3
    miZahh adlı üyeden alıntı
    Hostunuzda php sürüm seçme olayı yoksa, farklı br yere taşıyın forumu öncelikle. Yaşadığınız sorun php sürümünden kaynaklı, vb 4.2.3 php 7 ile sorun çıkarır. Php 5.5 ile bir sorun almazsınız o sürümde. Sizin en büyük sorununuz sunucu/host sorunu, yetersiz kalıyor vbulletin için. Bir an önce farklı bir firma ile vbulletine uygun bir hosta geçmeniz. Geçiş işlemlerini de manuel olarak kendiniz yapın.

    Yukarıdaki sorunu bir kod ile hallettik. Ama genel olarak dediğiniz gibi hatalar meydana geliyor. Tapatalk çalışmıyordu, çalışmama sebebi teşekkür eklentisi verdi. Onu kaldırdık çalıştı. Şimdi de konularda mesajlardan alıntı yapılamıyor. Tıkladığımız zaman cevapla kısmındaki beyaz ekran gözüküyor sadece. Tapatalk’da ise alıntı yapılabiliyor Php7 olmadan önce böyle sorunlar olmuyordu.

    Bulunduğumuz firma Php5’i kaldırdı. Dediğiniz gibi başka yere geçeceğiz.
  • 09-11-2018, 23:59:33
    #4
    O sürüm PHP7 uyumlu değil diye biliyorum.
  • 12-11-2018, 15:25:47
    #6
    Bu tarz problemler genellikle; downgrade yapılmaya çalışılıp sonra upgrade yapmaya çalışmaktan kaynaklı olabilir. Ayrıca bir önceki konuda da bahsettiğim gibi php yapılandırma dosyanızı paylaşmanız, sorunların çözümünü daha basit kılacaktır.
    Güzel olacak, güzel...